main {
    .section__main {
        background-color: $black1;
        position: relative;
        overflow: hidden;
        
        .section__text {
            color: $white;
        }

        .main__wrapper {
            display: flex;
            align-items: center;
            justify-content: space-between;
            gap: 50px;
            padding-top: 100px;
            padding-bottom: 100px;

            @media (max-width: 1280px) {
                padding-top: 80px;
                padding-bottom: 80px; 
            }

            @media (max-width: 1024px) {
                padding-top: 70px;
                padding-bottom: 70px;
                gap: 25px; 
            }

            @media (max-width: 768px) {
                padding-top: 60px;
                padding-bottom: 60px;
            }

            @media (max-width: 576px) {
                padding-top: 50px;
                padding-bottom: 50px;
                flex-direction: column;
            }

            @media (max-width: 425px) {
                padding-top: 40px;
                padding-bottom: 40px;
            }
           
            .main__content {
                display: flex;
                flex-direction: column;
                gap: 50px;
                flex: 1 1 50%;

                @media (max-width: 768px) {
                    gap: 25px;
                }

                @media (max-width: 576px) {
                    text-align: center;
                    align-items: center;
                    flex: 1 1 100%;
                }


                .main__photo {
                    width: 100%;
                    border-radius: 100%;

                    @media (max-width: 576px) {
                        width: 60%;
                    }
                }
            }
        }  
    }

    .section__description {
        .section__text {
            text-align: center;
            
        }

        .description__accordion {
            .accordion {
                border-top: 2px solid $blue;
                overflow: hidden;
                
                &:last-child {
                    border-bottom: 2px solid $blue;
                }

                &:nth-child(1) {
                    .accordion-content {
                        .content__list {
                            column-count: 2;

                            @media (max-width: 768px) {
                                column-count: 1;
                            }
                        }
                    }
                }

                .accordion-input {
                    position: absolute;
                    opacity: 0;
                    z-index: -1;
                }

                .accordion-input:checked {
                    + .accordion-label {
                        .label-icon {
                            transform: rotate(45deg)
                        }
                    }
                    
                    ~ .accordion-content {
                        max-height: 100vh;
                    }
                }

                .accordion-label {
                    @include accordionLabel;
                }

                .accordion-content {
                    max-height: 0;
                    transition: 0.4s ease;

                    .content__list {
                        padding-left: 20px;
                        padding-bottom: 20px;

                        .content__item {
                            @include contentItem;
                        }
                    }
                }
            }
        }
    }

    .section__form {
        position: relative;
        overflow: hidden;
       
        .background-ovelay {
            background-color: $black;
            opacity: 0.7;
            position: absolute;
            right: 0;
            left: 0;
            top: 0;
            z-index: -1;
            bottom: 0;
            width: 100%;
            height: 100%;
        }

        .background-video {
            position: absolute;
            z-index: -2;
            right: 0;
            top: 0;
            left: 0;
            bottom: 0;
            min-width: 100%;
            min-height: 100%;
        }

        .section__title {
            color: $white;
        }

        .form {
            margin: 0 auto;
            color: $white;
            max-width: 600px;
            
            .form__block {
                display: flex;
                flex-direction: column;
                gap: 5px;
                margin-bottom: 20px;

                .form-label {
                    @include formLabel;
                }

                .form-input {
                    @include formInput;
                }

                .form-textarea {
                    @include formTextarea;
                }

                .submit__form {
                    @include submitForm;
                }

                .personal__data {
                    @include personalData;
                }
            }

            .checkbox__block {
                margin-bottom: 20px;

                .checkbox__title {
                    @include checkboxTitle;
                }

                .checkbox {
                    display: block;
                    margin-bottom: 10px;

                    .checkbox-label {
                        @include checkboxLabel;
                    }

                    .checkbox-input {
                        @include checkboxInput;
                    }

                    .checkbox-input:checked + .checkbox-label::after {
                        content: '';
                        display: block;
                        position: absolute;
                        top: 6px;
                        left: 6px;
                        width: 5px;
                        height: 10px;
                        border: solid $white;
                        border-width: 0 2px 2px 0;
                        transform: rotate(45deg);
                    }

                    .checkbox-input:checked + .checkbox-label::before {
                        background-color: $blue;
                    }
                }
            }
        }
    }

    .section__about {
        .about__wrapper {
            display: flex;
            align-items: center;
            gap: 50px;

            @media (max-width: 768px) {
                flex-direction: column;
                gap: 25px;
            }

            .about__block {

                @media (max-width: 768px) {
                    text-align: center;
                }

                &:nth-child(1) {
                    flex: 1 1 40%;

                    @media (max-width: 768px) {
                        flex: 1 1 100%;
                    }
                }

                &:nth-child(2) {
                    flex: 1 1 60%;

                    @media (max-width: 768px) {
                        flex: 1 1 100%;
                    }
                }

                .about__photo {
                    width: 100%;
                    border-radius: 100%;
                    box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);

                    @media (max-width: 768px) {
                        width: 50%;
                    }

                    @media (max-width: 425px) {
                        width: 100%;
                    }
                }

                .about__description {
                    @include aboutDescription;
                }

                .line {
                    @include line;
                }

                .about__content {
                    @include aboutContent;
                }
            }
        }
    }

    .section__gallery {
        background-color: $black1;
        color: $white;
        text-align: center;

        .gallery__slider {
            max-height: 400px;
            height: 100%;

            .gallery-slide {
                .gallery__item {
                    position: relative;
                    display: block;
    
                    .gallery__image {
                        width: 100%;
                        height: 100%;
                    }
    
                    .gallery__overlay {
                        position: absolute;
                        height: 100%;
                        width: 100%;
                        top: 0;
                        right: 0;
                        left: 0;
                        bottom: 0;
                        z-index: 1;
                        transition: 0.4s ease;
    
                        &:before {
                            position: absolute;
                            content: url('../img/icon/search.svg');
                            top: 50%;
                            left: 50%;
                            transform: translate(-50%, -50%);
                            opacity: 0;
                            transition: 0.4s ease;
                        }
                       
                        &:hover {
                            background-color: $blue;
                            opacity: 0.7;
    
                            &:before {
                                opacity: 1;
                            }
                        }
    
                        @media (max-width: 1024px) {
                            display: none;
                        }
                    }
                }
            } 
        }

        .instagram__block {
            
            .instagram__text {
                @include instagramText;
            }

            .instagram__link {
                @include instagramLink;
            }
        }
    }

    .section__reviews {
        .slider__wrapper {
            margin-bottom: 100px;

            .reviews__slider {
                box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);

                @media (max-width: 768px) {
                    max-width: 500px;
                    width: 100%;
                }
    
                .slider {
                    background-color: $white;
                    display: flex;
                    height: 360px;
    
                    @media (max-width: 768px) {
                        flex-direction: column; 
                        height: 720px;
                    }
    
                    @media (max-width: 425px) {
                        height: 620px;
                    }
    
                    .slide__block {
                        &:nth-child(1) {
                            flex: 1 1 30%;
                            
                            .slide__background-photo {
                                background-repeat: no-repeat;
                                background-size: cover;
                                background-position: center;
                                width: 100%;
                                height: 100%;
                            }
                        }
    
                        &:nth-child(2) {
                            flex: 1 1 80%;
                            padding-left: 40px;
                            padding-right: 40px;
                            display: flex;   
                            align-items: center;
    
                            @media (max-width: 1024px) {
                                padding-left: 30px;
                                padding-right: 60px;
                            }
                            
                            
                            .slide__content {
                                .review__text {
                                    @include reviewText;
                                }
    
                                .review__link {
                                    @include reviewLinkHover;
                                    width: max-content;
                                    cursor: pointer;
                                    display: flex;
                                    align-items: center;
                                    gap: 10px;
                                    
    
                                    .review__name {
                                        @include reviewName;
                                    }
                                }
                            }
                        }
    
                        @media (max-width: 768px) {
                            &:nth-child(1) {
                                flex: 1 1 100%;
                            }
        
                            &:nth-child(2) {
                                flex: 1 1 100%;
                                padding: 30px 30px;
                                align-items: baseline;
                            }
                        }
                    }
                }
            }
        }
        
        .video__wrapper {
            .video__reviews {
                display: flex;
                gap: 30px;
                margin-bottom: 30px;

                @media (max-width: 768px) {
                    flex-direction: column;
                }

                .video {
                    width: 100%;
                    box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);

                    @media (max-width: 768px) {
                        max-width: 500px;
                        width: 100%;
                        margin: 0 auto;
                    }
                }
            }

            .reviews__links {
                display: flex;
                justify-content: space-around;
                gap: 30px;

                @media (max-width: 768px) {
                    flex-direction: column;
                    align-items: center;
                }

                .social__link {
                    @include socialLink;
                }
            }

        }
    }

    .section__advantages {
        background-color: $black1;
        color: $white;

        .advantages__list {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(230px, 1fr)); 
            gap: 50px;

            @media (max-width: 576px) {
                gap: 25px;
            }

            .advantages__item {
                .advantages__title {
                    @include advantagesTitle;
                }

                .advantages-line {
                    @include advantagesLine;
                }

                .advantages__text {
                    @include advantagesText;
                }
            }
        }
    }

    .section__map {
        position: relative;
       
        .address__block {
            position: absolute;
            top: 50%;
            left: 5%;
            transform: translateY(-50%);
            max-width: 335px;
            padding: 60px;
            width: 100%;
            background-color: $black1;
            color: $white;
            box-shadow: 0px 5px 10px 2px rgba(0, 0, 0, 0.2);

            .section__title {
                text-align: left;
            }

            .section__text {
                margin-bottom: 20px;
            }

            .social__links {
                display: flex;
                gap: 25px;
                
                .social-link {
                    svg {
                        path {
                            transition: 0.4s ease;
                        }
                    }

                    &:hover {
                        svg {
                            path {
                                &:first-child {
                                    fill: $blueHover;
                                }
                            }
                        }
                    }
                }
            }

            @media (max-width: 1024px) {
                display: none;
            }
        }
    }

    // pages // 

    .section__price {
        .description-price__block {
            margin-bottom: 80px;

            @media (max-width: 576px) {
                margin-bottom: 60px;
            }

            .description-price__text {
                @include descriptionPriceText;
            }

            .description-price__title {
                @include descriptionPriceTitle;
            }

            .description-price__item {
                @include descriptionPriceItem;
            }

            .description-price__list {
                padding-left: 22px;
            }

            .description-price__button {
                @include descriptionPriceButton;
            }

            .description-price__wrapper {
                max-height: 0;
                visibility: hidden;
            }

            .description-price__wrapper--show {
                max-height: 100%;
                visibility: visible;
            }
        }

        .table-price__block {
            .table {
                display: flex;
                margin-top: 60px;

                @media (max-width: 576px) {
                    flex-direction: column;
                    margin-top: 40px;
                }

                .column {
                    &:first-child {
                        flex: 1 1 70%;

                        @media (max-width: 576px) {
                            text-align: center;
                            flex: 1 1 100%;
                            margin-bottom: 20px;
                        }
                    }

                    &:last-child {
                        flex: 1 1 30%;
                        text-align: center;

                        @media (max-width: 576px) {
                            flex: 1 1 100%;
                        }
                    }
                }

                .column__title {
                    @include columnTitle;
                }

                .column__text {
                    @include columnText;
                }
            }
        }
    }

    .section__blog {
        background-color: $black1;
        color: $white;
        padding: 150px 0px;

        @media (max-width: 1280px) {
            padding: 125px 0px;
        }

        @media (max-width: 1024px) {
            padding: 100px 0px;
        }

        @media (max-width: 425px) {
            padding: 90px 0px;
        }


        .blog__list {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(300px, 1fr)); 
            gap: 30px;

            .blog__item {
                display: flex;
                flex-direction: column;
                gap: 15px;
                justify-content: space-between;
                border: 1px solid $white;
                padding: 1em;
                transition: 0.4s ease;

                &:hover {
                    color: $blue;
                }

                .blog__title {
                    @include blogTitle;
                }

                .blog__text {
                    @include blogText;
                }
            }
        }
    }

    .section__articles {
        .articles__block {
            margin-bottom: 80px;

            .articles__text {
                @include articlesText;
            }
    
            .articles__title {
                @include articlesTitle;
            }
    
            .articles__item {
                @include articlesItem;
            }
    
            .articles__list {
                padding-left: 22px;
            }
    
            
        }

        .slider__wrapper {
            margin-bottom: 60px;

            .articles__slider {
                .blog__item {
                    display: flex;
                    flex-direction: column;
                    gap: 15px;
                    justify-content: space-between;
                    border: 1px solid $black;
                    padding: 1em;
                    transition: 0.4s ease;
    
                    .blog__title {
                        @include blogTitle;
                    }
    
                    .blog__text {
                        @include blogText;
                    }
                }
            }
        }

        .articles__button {
            @include articlesButton;
        }
    }
}